Skip to main content
GET
/
artifacts
/
{artifact-id}
/
versions
/
{execution-name}
/
code
Artifacts - Generate Client Code
curl --request GET \
  --url https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/code
{
  "client_code": "<string>",
  "$schema": "<string>"
}

Path Parameters

artifact-id
string
required

Artifact ID

execution-name
string
required

Name of the execution that produced the artifact

Query Parameters

file_name
string

If provided, generated code will download just this file within the Artifact

local_dir
string

Local directory to download the Artifact to. If omitted, client code uses default.

project
string

Project of the workflow execution that produced the artifact

domain
string

Domain of the workflow execution that produced the artifact

Response

OK

client_code
string
required

Generated client code for downloading artifacts

$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"/flows/api/artifacts/v1/schemas/ClientCodeArtifactDownload.json"